Color picker

Bootstrap 5 Color picker plugin

Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

Note: Read the API tab to find all available options and advanced customization

Note: Currently, the plugin is only compatible with the basic MDB package imported in UMD format. More about import MDB formats.


Native color picker

If you need the simplest form - use a native color picker.

        
            
        <label for="exampleColorInput" class="form-label">Color picker</label>
        <input type="color" class="form-control form-control-color" id="exampleColorInput" value="#563d7c" title="Choose your color">
        
        
    

Advanced color picker - basic example

Using our color picker allows you to achieve a consistent design, with the picker appearing the same in every browser. You can initialize it using data-mdb-color-picker-init.

        
            
          <div class="color-picker" data-mdb-color-picker-init></div>
        
        
    

Disable state example

To add a Color picker as read-only use data-mdb-color-picker-disabled="true".

        
            
          <div class="color-picker" data-mdb-color-picker-init data-mdb-color-picker-disabled="true"></div>
        
        
    

Swatches

You can add ready-made samples for the user. Use the colorPickerSwatches option and pass an array of colors as a parameter. If you want to add colors in several columns, add them in separate tables.

        
            
          <div class="color-picker"></div>
        
        
    
        
            
          const picker = document.querySelector('.color-picker');
          const colors = [
            ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
            ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
          ];

          const pickerInstance = new ColorPicker(picker, { colorPickerSwatches: colors });
        
        
    

Swatches Height

If the defined samples take up a lot of space, you can set their maximum height using the colorPickerSwatchesHeight option.

        
            
          <div class="color-picker"></div>
        
        
    
        
            
          const picker = document.querySelector('.color-picker');
          const colors = [
            ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
            ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
          ];
          const PickerInstance = new ColorPicker(picker, {
            colorPickerSwatches: colors,
            colorPickerSwatchesHeight: 100,
          });
        
        
    

Default value

To set the default value use the colorPickerValue option.

        
            
          <div class="color-picker" data-mdb-color-picker-init data-mdb-color-picker-value="rgba(15,219,104,1)"></div>
        
        
    

Dropdown

You can use color picker as dropdown, just add data-mdb-color-picker-dropdown="true"

        
            
          <div class="color-picker" data-mdb-color-picker-init data-mdb-color-picker-dropdown="true"></div>
        
        
    

Disable section

If you want to use only some picker elements you can disable unnecessary elements. The following example shows the use of the colorPickerColorPalette option to remove the color palette section of the picker. Other options can be found in the API tab.

        
            
          <div class="color-picker" data-mdb-color-picker-init data-mdb-color-picker-color-palette="false"></div>
        
        
    

Color picker - API


Import

        
            
          import ColorPicker from 'mdb-color-picker';
        
        
    
        
            
          @import '~mdb-color-picker/css/color-picker.min.css';
        
        
    

Usage

Via data attributes

Using the Color Picker plugin doesn't require any additional JavaScript code - simply add data-mdb-color-picker-init attribute to .color-picker and use other data attributes to set all options.

        
            
        <div class="color-picker" data-mdb-color-picker-init></div>
        
    

Via JavaScript

        
            
        const picker = document.querySelector('.color-picker');
        const pickerInstance = new ColorPicker(picker);
      
        
    

Via jQuery

Note: By default, MDB does not include jQuery and you have to add it to the project on your own.

        
            
        $(document).ready(() => { 
          $('.color-picker').colorPicker();
        });
      
        
    

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-mdb-, as in data-mdb-color-picker-type="".

Name Type Default Description
colorPickerColorInputs Boolean true Set false to hide the input sections
colorPickerChangeFormatBtn Boolean true Set false to hide the change color type icons
colorPickerCopyIcon Boolean true Set false to hide copy code icon
colorPickerColorPalette Boolean true Set false to hide color palette
colorPickerSwatches Array [] Allows you to define the colors of the swatches
colorPickerSwatchesHeight Number 0 Allow you to define swatches max height
colorPickerValue String '' Set default color value
colorPickerDisabled Boolean false Set true to use read-only Color picker
colorPickerDropdown Boolean false Set true to use color picker as dropdown
colorPickerDisabledHue Boolean false Set true to disable the hue range input
colorPickerDisabledAlpha Boolean false Set true to disable the alpha range input
colorPickerType String "hsla" Set default color format. Available options: rgba, hsla, hsva, hex, cmyk.

Events

Name Description
open.mdb.colorPicker This event is emitted when color picker dropdown is open.
close.mdb.colorPicker This event is emitted when color picker dropdown is closed.
colorChanged.mdb.colorPicker This event is emitted after the color is changed. You can access the updated color inside a listener's handler under color property.
        
            
          const picker = document.querySelector('.color-picker');
          picker.addEventListener('colorChanged.mdb.colorPicker', () => {
            // do something;
          });

Vue Color Picker

Vue Bootstrap color picker plugin

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.


Basic Example

Click the dark square to activate the Color Picker. This is the basic variation of it.

        
            
            <template>
              <div id="app">
                <mdb-card>
                  <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                    <p class="pt-2">Click the dark square to activate the Color Picker</p>
  
                      <mdb-color-picker :show="showPicker1" @getValue="color1 = $event" @close="showPicker1 = false">
                        <div class="mdb-cp-btn-wrapper">
                          <div class="mdb-cp-btn" :style="{background: color1}" @click="showPicker1 = !showPicker1"></div>
                        </div>
                      </mdb-color-picker>
  
                  </mdb-card-body>
                </mdb-card>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from 'mdb-color-picker'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    color1: '#ff0000ff',
                    showPicker1: false
                  }
                }
              }
            </script>
          
        
    

Using as button

Use Color Picker as a button.

        
            
            <template>
              <div id="app">
                <mdb-card>
                  <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                    <p class="pt-2">Click the below button to activate the Color Picker</p>
  
                      <mdb-color-picker :show="showPicker2" @close="showPicker2 = false">
                        <mdb-btn color="primary" size="sm" @click="showPicker2 = !showPicker2">Open picker</mdb-btn>
                      </mdb-color-picker>
  
                  </mdb-card-body>
                </mdb-card>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from 'mdb-color-picker'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    color2: '#ff0000ff',
                    showPicker2: false
                  }
                }
              }
            </script>
          
        
    

Change color of the other elements

With Color Picker, it's easy to manipulate colors of the certain elements.

        
            
            <template>
              <div id="app">
                <mdb-row>
                  <mdb-col sm="6">
                    <mdb-card :style="{background: color3}">
                      <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                        <p class="pt-2">My background color will be changed</p>
  
                        <mdb-color-picker :show="showPicker3" @getValue="color3 = $event" @close="showPicker3 = false">
                          <mdb-btn color="primary" size="sm" @click="showPicker3 = !showPicker3">Open picker</mdb-btn>
                        </mdb-color-picker>
  
                      </mdb-card-body>
                    </mdb-card>
                  </mdb-col>
                  <mdb-col sm="6">
                    <mdb-card>
                      <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                        <p class="pt-2" :style="{color: color4}">My text color will be changed</p>
  
                        <mdb-color-picker :show="showPicker4" @getValue="color4 = $event" @close="showPicker4 = false">
                          <mdb-btn color="primary" size="sm" @click="showPicker4 = !showPicker4">Open picker</mdb-btn>
                        </mdb-color-picker>
  
                      </mdb-card-body>
                    </mdb-card>
                  </mdb-col>
                </mdb-row>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from 'mdb-color-picker'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    color3: '#ffffff',
                    color4: '#000000',
                    showPicker3: false,
                    showPicker4: false
                  }
                }
              }
            </script>
          
        
    

Change the site background color

Change the site's background color by choosing a color from Color Picker.

        
            
            <template>
              <div id="app" :style="{background: pageBackground}">
                <mdb-card>
                  <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                    <p class="pt-2">Change the background color if this site dynamically by changing the color in Color Picker</p>
  
                      <mdb-color-picker :show="showPicker6" @close="showPicker6 = false" @getValue="pageBackground = $event">
                        <mdb-btn color="primary" size="sm" @click="showPicker6 = !showPicker6">Open picker</mdb-btn>
                      </mdb-color-picker>
  
                  </mdb-card-body>
                </mdb-card>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from './components/mdbColorPicker.vue'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    pageBackground: '#ffffff',
                    showPicker6: false
                  }
                }
              }
            </script>
          
        
    

Vue Color Picker - getting started : download & setup


Download

This plugin requires a purchase.

Buy Vue color picker plugin

Options

Name Type Description
show boolean Use this prop to hide or show the palette.
saveLabel string Changes save button label.
clearLabel string Changes clear button label.
options object Allows to turn off each color space. Default values: hex: true, rgba: true, hsla: true, hsva: true, cmyk: true.

Color picker

Bootstrap 5 Color picker plugin

Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

Note: Read the API tab to find all available options and advanced customization


Native color picker

If you need the simplest form - use a native color picker.

        
            
        import React from 'react';

        export default function App() {
          return (
            <>
              <label htmlFor="exampleColorInput" className="form-label">Color picker</label>
              <input type="color" className="form-control form-control-color" id="exampleColorInput" value="#563d7c" title="Choose your color">
            </>
          );
         }
        
        
    

Advanced color picker - basic example

The Advanced Color Picker can be placed anywhere on the page. You can initialize it using <MDBColorPicker />.

        
            
        import React from 'react';
        import { MDBColorPicker } from 'mdb-react-color-picker';

        export default function App() {
          return (
            <MDBColorPicker />
          );
        }
        
        
    

Disable state example

To add a Color picker as read-only pass disabled as prop.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker disabled />
              );
            }
            
        
    

Swatches

You can add ready-made samples for the user. Use the swatchesColor option and pass an array of colors as a parameter. If you want to add colors in several columns, add them in separate tables.

        
            
import React from 'react';
import { MDBColorPicker } from 'mdb-react-color-picker';

export default function App() {
  const exampleColors = [
    ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
    ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
  ]

  return (
    <MDBColorPicker swatchesColor={exampleColors} />
  );
}

        
    

Swatches Height

If the defined samples take up a lot of space, you can set their maximum height using the swatchesHeight option.

        
            
import React from 'react';
import { MDBColorPicker } from 'mdb-react-color-picker';

export default function App() {
  const exampleColors = [
    ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
    ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
  ]

  return (
    <MDBColorPicker swatchesColor={exampleColors} swatchesHeight={100} />
  );
}

        
    

Default value

To set the default value use the defaultColor option.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker defaultColor="rgba(15,219,104,1)" />
              );
            }
            
        
    

Dropdown

You can use color picker as dropdown, just pass dropdown as prop.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker dropdown />
              );
            }
            
        
    

Disable section

If you want to use only some picker elements you can disable unnecessary elements. The following example shows the use of the colorPalette option. Other options can be found in the API tab.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker colorPalette={false} />
              );
            }
            
        
    

Color Picker - API


Import

        
            
            import { MDBColorPicker } from 'mdb-react-color-picker';
          
        
    

Properties

MDBColorPicker

Name Type Default Description Example
changeFormatBtn boolean true Set false to hide the change color type icons <MDBColorPicker changeFormatBtn={false} />
colorPalette boolean true Set false to hide color palette <MDBColorPicker colorPalette={false} />
copyIcon boolean true Set false to hide copy code icon <MDBColorPicker copyIcon={false} />
defaultColor string '' Set default color value <MDBColorPicker defaultColor='rgba(0,0,255,1)' />
disabled boolean false Set true to use read-only Color picker <MDBColorPicker disabled />
disabledAlpha boolean false Set true to disable the alpha range input <MDBColorPicker disabledAlpha />
disabledHue boolean false Set true to disable the hue range input <MDBColorPicker disabledHue />
dropdown boolean false Set true to use color picker as dropdown <MDBColorPicker dropdown />
inputSection boolean true Set false to hide the input sections <MDBColorPicker inputSection={false} />
swatchesColor string[][] - Allows you to define the colors of the swatches. The main array represents several rows, and sub-arrays are defined colors. <MDBColorPicker swatchesColor={[['#0d6efd'],['#6610f2']]} />
swatchesHeight number - Allow you to define swatches max height <MDBColorPicker swatchesHeight={100} />

Events

Name Type Description
onColorChange (value: any) => any Returns an object with all color types and values.

Color picker

Angular Bootstrap 5 Color picker plugin

Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

Note: Read the API tab to find all available options and advanced customization


Native color picker

If you need the simplest form - use a native color picker.

        
            
        <label for="exampleColorInput" class="form-label">Color picker</label>
        <input type="color" class="form-control form-control-color" id="exampleColorInput" value="#563d7c" title="Choose your color">
        
        
    

Advanced color picker - basic example

The Advanced Color Picker can be placed anywhere on the page. You can initialize it using mdb-color-picker selector.

        
            
          <mdb-color-picker></mdb-color-picker>
        
        
    

Disable state example

To add a Color picker as read-only use [disabled]="true" input.

        
            
          <mdb-color-picker [disabled]="true"></mdb-color-picker>
        
        
    

Swatches

You can add ready-made samples for the user. Use the colorSwatches input and pass an array of colors as a parameter.

        
            
          <mdb-color-picker [colorSwatches]="colorSwatches"></mdb-color-picker>
        
        
    
        
            
        import { Component } from '@angular/core';

        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
        })
        export class AppComponent {
          colorSwatches = [
            '#0d6efd',
            '#6610f2',
            '#6f42c1 ',
            '#b23cfd',
            '#d63384',
            '#dc3545',
            '#fd7e14',
            '#ffc107',
            '#198754',
            '#20c997',
            '#0dcaf0',
            '#39c0ed',
            '#757575',
            '#4f4f4f',
            '#262626',
            '#000',
          ];
        };
        
        
    

Swatches Height

If the defined samples take up a lot of space, you can set their maximum height using the colorSwatchesHeight input.

        
            
          <mdb-color-picker [colorSwatches]="colorSwatches" [colorSwatchesHeight]="100"></mdb-color-picker>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            colorSwatches = [
              '#0d6efd',
              '#6610f2',
              '#6f42c1 ',
              '#b23cfd',
              '#d63384',
              '#dc3545',
              '#fd7e14',
              '#ffc107',
              '#198754',
              '#20c997',
              '#0dcaf0',
              '#39c0ed',
              '#757575',
              '#4f4f4f',
              '#262626',
              '#000',
            ];
          };
        
        
    

Default value

To set the default value use the defaultColor input.

        
            
          <mdb-color-picker [defaultColor]="'rgba(15,219,104,1)'"></mdb-color-picker>
        
        
    

Dropdown

You can use color picker as dropdown, just add the component inside a dropdown menu.

        
            
          <div mdbDropdown class="dropdown">
            <button
              class="btn btn-light dropdown-toggle"
              type="button"
              id="dropdownMenuButton"
              aria-expanded="false"
              mdbDropdownToggle
            >
              Open
            </button>
            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton" mdbDropdownMenu>
              <li>
                <mdb-color-picker></mdb-color-picker>
              </li>
            </ul>
          </div>
        
        
    

Disable section

Use [colorPalette]="false" input to disable color palette section.

        
            
          <mdb-color-picker [colorPalette]="false"></mdb-color-picker>
        
        
    

Color picker - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/color-picker
     
        
    

Import

        
            
          import { MdbColorPickerModule } from 'mdb-angular-color-picker';
          …
          @NgModule ({
            ...
            imports: [MdbColorPickerModule],
            ...
          })
        
        
    
        
            
        @import 'mdb-angular-color-picker/scss/color-picker.scss';
      
        
    

Inputs

Name Type Default Description
colorInputs boolean true Set to false to hide inputs section.
changeFormatBtn boolean true Set to false to hide change format button.
copyIcon boolean true Set to false to hide copy icon.
colorPalette boolean true Set to false to hide color palette section
colorSwatches string[] [] Allows to define colors of the swatches.
colorSwatchesHeight null | number null Changes height of color swatches.
defaultColor string - Allows to set default color displayed on component initialization.
disabled boolean false Disables component
disabledHue boolean false Set to true to disable hue range input
disabledAlpha boolean false Set to true to disable alpha range input

Outputs

Name Type Description
colorChange EventEmitter<string> Emitted on color change.
        
            
              <mdb-color-picker (colorChange)="onColorChange($event)"></mdb-color-picker>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                onColorChange(color: string): void {
                  console.log(color);
                }
              }